Skip to main content
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
details
Get tables details
curl --request GET \
  --url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/details \
  --header 'Authorization: Bearer <token>'
{
  "tables": [
    {
      "table_name": "<string>",
      "table_type": "<string>",
      "number_of_columns": 123,
      "number_of_rows": 123,
      "view_dependency": {
        "view_query": "<string>",
        "is_orphan": true,
        "error": "<string>"
      }
    }
  ],
  "total_tables_and_views": 123,
  "total_tables": 123,
  "total_views": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalog_name
string
required

Catalog name.

schema_name
string
required

Schema name.

Response

Data retrieved successfully.

tables
TableDetailInfo · object[]
required

List of table/view details

total_tables_and_views
integer
required

Total number of tables and views

total_tables
integer
required

Total number of tables

total_views
integer
required

Total number of views